<?php
/**
 * Controller to handling deleting widget process
 *
 * @package wp-email-countdown
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPCozr_Ajax_Delete_widget' ))
{
    class IPCozr_Ajax_Delete_widget
    {
        /**
         * Execution save options process
         *
         * @return void
         */
        public function exec()
        {
            $item = false;
            if ( ! empty( $_REQUEST['id'] )) {
                $id   = absint( $_REQUEST['id'] );
                $item = get_post( $id );
            }
            if ( ! $item ) {
                echo json_encode( array(
                    'status'   => 0,
                    'message'  => __( 'Error system', IPCOZR_SLUG )
                ) );
                die();
            }
            $result = wp_delete_post( $item->ID, true );
            if ( $result ) {
                echo json_encode( array(
                    'status'   => 1,
                    'message'  => __( 'Widget successfully deleted', IPCOZR_SLUG ),
                    'redirect' => admin_url() . 'admin.php?page=' . IPCOZR_PAGENAME . '-widget&delete=1'
                ) );
            } else {
                echo json_encode( array(
                    'status'  => 0,
                    'message' => __( 'Failed to remove the widget', IPCOZR_SLUG )
                ) );
            }
            die();
        }
    }
}
