<?php
/**
 * Controller to handling saving statistic data
 *
 * @package wp-email-countdown
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPCozr_Ajax_Savestat' ))
{
    class IPCozr_Ajax_Savestat
    {
        /**
         * Execution save options process
         *
         * @return void
         */
        public function exec()
        {
            $error = true;
            if ( ! empty( $_POST['page_id'] ) && ! empty( $_POST['type'] ))
            {
                $page_id = absint( $_POST['page_id'] );
                if ( $page = get_post( $page_id ))
                {
                    $type  = apply_filters( 'pre_term_name', $_POST['type'] );
                    $model = new IPCozr_Model();
                    $model->saveStat( $page, $type );
                    
                    $error = false;
                }
            }
            if ( $error ) {
                $status = 0;
                $msg    = __( 'Failed to save statistic data.', IPCOZR_SLUG );
            } else {
                $status = 1;
                $msg    = __( 'Successfully to save statistic data.', IPCOZR_SLUG );
            }
            echo json_encode( array(
                'status'    => $status,
                'message'   => $msg
            ) );
            die();
        }
    }
}
