<?php
/**
 * Controller to handling send email
 *
 * @package wp-email-countdown
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPCozr_Ajax_Sendemail' ))
{
    class IPCozr_Ajax_Sendemail
    {
        /**
         * Execution save options process
         *
         * @return void
         */
        public function exec()
        {
            if ( empty( $_POST['email'] ) || empty( $_POST['content'] ) )
            {
                echo json_encode( array(
                    'status'  => 0,
                    'message' => __( 'System error', IPCOZR_SLUG )
                ) );
                die();
            }

            $email   = sanitize_email( $_POST['email'] );
            $subject = $_POST['subject'];
            $content = stripslashes( $_POST['content'] );
            $content = str_replace( '&amp;campaign_preview=1', '', $content );
            $content = str_replace( '&campaign_preview=1', '', $content );
            
            //
            //Send email
            add_filter( 'wp_mail_content_type', 'ipcozr_set_html_content_type' );
            $result = wp_mail( $email, $subject, $content );
            remove_filter( 'wp_mail_content_type', 'ipcozr_set_html_content_type' );

            if ( $result )
            {
                echo json_encode( array(
                    'status'  => 1,
                    'message' => __( 'Successfully sending email to ' . $email, IPCOZR_SLUG )
                ) );
                die();

            } else
            {
                echo json_encode( array(
                    'status'  => 0,
                    'message' => __( 'Failed sending email', IPCOZR_SLUG )
                ) );
                die();
            }

        }
    }

    function ipcozr_set_html_content_type() {
        return 'text/html';
    }
}
