<?php
/**
 * Class model
 *
 * @package wp-email-countdown
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPCozr_Model' )) {

    /**
     * Class for manage post setting
     */
    class IPCozr_Model
    {
        /**
         * Save setting campaign
         *
         * @param  int $campaignId
         * @return void
         */
        public function saveSetting( $campaignId )
        {
            $campaignId = absint( $campaignId );
            $data    = $this->_getSettingData();
            $setting = new IPCozr_Setting( $campaignId, '__ipcozr-setting' );
            $result  = $setting->setSettings( $data );
            return $result;
        }

        /**
         * Get setting data
         *
         * @return array
         */
        protected function _getSettingData()
        {
            $setting = array();
            $data    = array_merge( $_POST, $_GET );

            //
            //
            // General
            //
            if ( ! empty( $data['campaign_url'] )) {
                $setting['campaign_url'] = apply_filters( 'pre_link_url', $data['campaign_url'] );
            }
            if ( isset( $data['status'] )) {
                $setting['status'] = apply_filters( 'pre_term_name', $data['status'] );
            }

            //
            //Countdown
            //
            if ( isset( $data['end_date'] )) {
                $setting['end_date'] = apply_filters( 'single_post_title', $data['end_date'] );
            }
            if ( isset( $data['timezone'] )) {
                $setting['timezone'] = apply_filters( 'single_post_title', $data['timezone'] );
            }
            if ( isset( $data['template'] )) {
                $setting['template'] = apply_filters( 'single_post_title', $data['template'] );
            }
            if ( isset( $data['style'] )) {
                $setting['style'] = apply_filters( 'single_post_title', $data['style'] );
            }
            if ( isset( $data['font'] )) {
                $setting['font'] = apply_filters( 'single_post_title', $data['font'] );
            }

            //
            //End Setting
            if ( ! empty( $data['end_image'] )) {
                $setting['end_image'] = absint( $data['end_image'] );
            }
            if ( ! empty( $data['info_url'] )) {
                $setting['info_url'] = apply_filters( 'pre_link_url', $data['info_url'] );
            }

            return $setting;
        }
    }
}
?>
