<?php
/**
 * Class model
 *
 * @package wp-email-countdown
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPCozr_Model_Promo' )) {

    /**
     * Class for manage post setting
     */
    class IPCozr_Model_Promo
    {
        /**
         * Save setting promo
         *
         * @param  int $promoId
         * @return void
         */
        public function saveSetting( $promoId )
        {
            $promoId  = absint( $promoId );
            $data     = $this->_getSettingData();
            $setting  = new IPCozr_Setting( $promoId, '__ipcozr-promo-setting' );
            $result   = $setting->setSettings( $data );
            return $result;
        }

        /**
         * Get setting data
         *
         * @return array
         */
        protected function _getSettingData()
        {
            $setting = array();
            $data    = array_merge( $_POST, $_GET );

            //
            //
            // General
            //
            if ( isset( $data['status'] )) {
                $setting['status'] = apply_filters( 'pre_term_name', $data['status'] );
            }
            if ( isset( $data['restricted'] )) {
                $setting['restricted'] = apply_filters( 'pre_term_name', $data['restricted'] );
            }

            //
            // Widget
            //
            if ( isset( $data['widget'] )) {
                $setting['widget'] = absint( $data['widget'] );
            }
            if ( isset( $data['page_url'] )) {
                $setting['page_url'] = apply_filters( 'pre_link_url', $data['page_url'] );
            }

            //
            // SEO
            //
            if ( isset( $data['seo_meta_title'] )) {
                $setting['seo_meta_title'] = apply_filters( 'single_post_title', $data['seo_meta_title'] );
            }
            if ( isset( $data['seo_meta_description'] )) {
                $setting['seo_meta_description'] = apply_filters( 'single_post_title', $data['seo_meta_description'] );
            }
            if ( isset( $data['seo_meta_keywords'] )) {
                $setting['seo_meta_keywords'] = apply_filters( 'single_post_title', $data['seo_meta_keywords'] );
            }
            if ( isset( $data['seo_graph_image'] )) {
                $setting['seo_graph_image'] = apply_filters( 'pre_link_url', $data['seo_graph_image'] );
            }
            if ( isset( $data['seo_favicon'] )) {
                $setting['seo_favicon'] = apply_filters( 'pre_link_url', $data['seo_favicon'] );
            }
            if ( isset( $data['seo_tracking_code'] )) {
                $setting['seo_tracking_code'] = $data['seo_tracking_code'];
            }

            return $setting;
        }
    }
}
?>
