<?php
/**
 * Class model
 *
 * @package wp-email-countdown
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPCozr_Model_Widget' )) {

    /**
     * Class for manage post setting
     */
    class IPCozr_Model_Widget
    {
        /**
         * Save setting widget
         *
         * @param  int $widgetId
         * @return void
         */
        public function saveSetting( $widgetId )
        {
            $widgetId = absint( $widgetId );
            $data     = $this->_getSettingData();
            $setting  = new IPCozr_Setting( $widgetId, '__ipcozr-widget-setting' );
            $result   = $setting->setSettings( $data );
            return $result;
        }

        /**
         * Get setting data
         *
         * @return array
         */
        protected function _getSettingData()
        {
            $setting = array();
            $data    = array_merge( $_POST, $_GET );

            //
            //
            // General
            //
            if ( ! empty( $data['campaign'] )) {
                $setting['campaign'] = absint( $data['campaign'] );
            }
            if ( isset( $data['status'] )) {
                $setting['status'] = apply_filters( 'pre_term_name', $data['status'] );
            }
            if ( isset( $data['restricted'] )) {
                $setting['restricted'] = apply_filters( 'pre_term_name', $data['restricted'] );
            }

            //
            // Content
            //
            if ( ! empty( $data['content_logo'] )) {
                $setting['content_logo'] = absint( $data['content_logo'] );
            }
            if ( isset( $data['content_title'] )) {
                $setting['content_title'] = apply_filters( 'single_post_title', $data['content_title'] );
            }
            if ( isset( $data['content_info'] )) {
                $setting['content_info'] = $data['content_info'];
            }

            if ( isset( $data['close_status'] )) {
                $setting['close_status'] = apply_filters( 'pre_term_name', $data['close_status'] );
            }
            if ( isset( $data['close_icon'] )) {
                $setting['close_icon'] = apply_filters( 'pre_term_name', $data['close_icon'] );
            }
            if ( isset( $data['close_text'] )) {
                $setting['close_text'] = apply_filters( 'single_post_title', $data['close_text'] );
            }
            if ( isset( $data['close_color'] )) {
                $setting['close_color'] = apply_filters( 'single_post_title', $data['close_color'] );
            }
            if ( isset( $data['close_background_color'] )) {
                $setting['close_background_color'] = apply_filters( 'single_post_title', $data['close_background_color'] );
            }

            //
            // Design
            //
            if ( isset( $data['widget_position'] )) {
                $setting['widget_position'] = apply_filters( 'pre_term_name', $data['widget_position'] );
            }
            if ( isset( $data['widget_background_color'] )) {
                $setting['widget_background_color'] = apply_filters( 'single_post_title', $data['widget_background_color'] );
            }
            if ( isset( $data['widget_color'] )) {
                $setting['widget_color'] = apply_filters( 'single_post_title', $data['widget_color'] );
            }
            if ( ! empty( $data['widget_border_width'] )) {
                $setting['widget_border_width'] = absint( $data['widget_border_width'] );
            }
            if ( isset( $data['widget_border_color'] )) {
                $setting['widget_border_color'] = apply_filters( 'single_post_title', $data['widget_border_color'] );
            }
            if ( isset( $data['widget_radius'] )) {
                $setting['widget_radius'] = apply_filters( 'pre_term_name', $data['widget_radius'] );
            }
            if ( ! empty( $data['widget_padding_top'] )) {
                $setting['widget_padding_top'] = absint( $data['widget_padding_top'] );
            }
            if ( ! empty( $data['widget_padding_bottom'] )) {
                $setting['widget_padding_bottom'] = absint( $data['widget_padding_bottom'] );
            }

            //
            //
            //Effect
            //
            if ( isset( $data['widget_delay'] )) {
                $setting['widget_delay'] = absint( $data['widget_delay'] );
            }
            if ( isset( $data['showing_animation_type'] )) {
                $setting['showing_animation_type'] = apply_filters( 'pre_term_name', $data['showing_animation_type'] );
            }
            if ( isset( $data['showing_animation_speed'] )) {
                $setting['showing_animation_speed'] = apply_filters( 'pre_term_name', $data['showing_animation_speed'] );
            }
            if ( isset( $data['showing_audio'] )) {
                $setting['showing_audio'] = absint( $data['showing_audio'] );
            }
            if ( isset( $data['hiding_animation_type'] )) {
                $setting['hiding_animation_type'] = apply_filters( 'pre_term_name', $data['hiding_animation_type'] );
            }
            if ( isset( $data['hiding_animation_speed'] )) {
                $setting['hiding_animation_speed'] = apply_filters( 'pre_term_name', $data['hiding_animation_speed'] );
            }
            if ( isset( $data['hiding_audio'] )) {
                $setting['hiding_audio'] = absint( $data['hiding_audio'] );
            }

            return $setting;
        }
    }
}
?>
