<?php
/**
 * Admin header view
 *
 * @package wp-email-countdown
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$pageDash    = IPCOZR_PAGENAME;
$pageAdd     = IPCOZR_PAGENAME . '-addnew';
$pageWidget  = IPCOZR_PAGENAME . '-widget';
$pagePromo   = IPCOZR_PAGENAME . '-promo';
$page        = $this->pageId;
$struct = array(
     $pageDash => array(
         'title'     => __( 'All Campaigns', IPCOZR_SLUG ),
         'info'      => __( 'See all campaigns and manage it', IPCOZR_SLUG ),
         'icon'      => 'backup'
     ),
     $pageAdd => array(
         'title'     => __( 'Create Campaign', IPCOZR_SLUG ),
         'info'      => __( 'Create new campaign', IPCOZR_SLUG ),
         'icon'      => 'plus-alt'
     ),
     $pageWidget => array(
         'title'     => __( 'Widget', IPCOZR_SLUG ),
         'info'      => __( 'Manage countdown campaign widget', IPCOZR_SLUG ),
         'icon'      => 'admin-plugins'
     ),
     $pagePromo => array(
         'title'     => __( 'Promo', IPCOZR_SLUG ),
         'info'      => __( 'Manage countdown promo page', IPCOZR_SLUG ),
         'icon'      => 'awards'
     )
 );
?>
<div class="ipcozr-top">
    <div class="ipcozr-header">
        <div class="ipcozr-page-title">
            <h1>
                <i class="dashicons-before dashicons-backup"></i>
                <span>
                    <strong><span>WP</span> Email Countdown</strong>
                    <em> <?php _e( 'Plugin that is used for creating campaign timers to improve sales, conversions &amp; revenue.', IPCOZR_SLUG ); ?></em>
                </span>
            </h1>
        </div>
    </div>
    <div class="ipcozr-nav">
        <ul>
        <?php
        $title = isset( $this->title ) ? $this->title : '';
        $info  = isset( $this->info ) ? $this->info : '';
        if ( array_key_exists( $page, $struct ))
        {
            if ( empty( $title )) {
                $title = $struct[$page]['title'];
            }
            if ( empty( $info )) {
                $info  = $struct[$page]['info'];
            }
            if ( empty( $icon )) {
                $icon  = $struct[$page]['icon'];
            }
        }
        foreach( $struct as $name => $data )
        {
            $active = '';
            if ( $page == $name ) {
                $active = ' class="active"';
            }
            echo '<li' . $active . '>' .
                    '<a href="admin.php?page=' . $name . '">' .
                        '<i class="dashicons-before dashicons-' . $data['icon'] . '"></i>' .
                        $data['title'] .
                    '</a>' .
                '</li>';
        }
        ?>
        </ul>
    </div>
    <div class="ipcozr-page-info">
        <i class="dashicons-before dashicons-<?php echo $icon; ?>"></i>
        <div class="ipcozr-info">
            <h3><?php echo $title; ?></h3>
            <h4><?php echo $info; ?></h4>
        </div>
    </div>
</div>
