<?php
/**
 * Admin content countdown view
 *
 * @package wp-email-countdown
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipcozr-section-countdown" class="ipcozr-tab-content">
  <div class="ipcozr-tab-inner">

    <div class="ipcozr-title-content ipcozr-hide">
      <i class="ipcozr-fa ipcozr-fa-clock-o"></i>
      <div class="ipcozr-title-text">
        <h3><?php _e( 'Countdown', IPCOZR_SLUG ); ?></h3>
        <p><?php _e( 'Set look and feel of the countdown', IPCOZR_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipcozr-fields -->
    <div class="ipcozr-fields">

      <?php
      /*
       * End Date
       */
      ?>
      <!-- start: .ipcozr-field-row -->
      <div class="ipcozr-field-row ipcozr-field-x">
        <div class="ipcozr-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-end-date"><?php _e( 'End Date', IPCOZR_SLUG ); ?></label>
        </div>

        <!-- start: .ipcozr-field -->
        <div class="ipcozr-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $date = $this->setting->getSetting( 'end_date' );
          ?>
          <input type="text" class="ipcorz-end-date ipcozr-input ipcozr-input-md" name="end_date" value="<?php echo $date; ?>">

          <div class="ipcozr-help">
            <a class="ipcozr-btn-help ipcozr-btn ipcozr-btn-default" href="#"><i class="ipcozr-fa ipcozr-fa-question"></i></a>
            <div class="ipcozr-help-content ipcozr-hide">
              <?php _e( 'The date to be the end of the countdown timer.', IPCOZR_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipcozr-field -->

      </div>
      <!-- end: .ipcozr-field-row -->

      <?php
      /*
       * Timezone
       */
      ?>
      <!-- start: .ipcozr-field-row -->
      <div class="ipcozr-field-row ipcozr-field-x">
        <div class="ipcozr-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-timezone"><?php _e( 'Timezone', IPCOZR_SLUG ); ?></label>
        </div>

        <!-- start: .ipcozr-field -->
        <div class="ipcozr-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $timezone = $this->setting->getSetting( 'timezone' );
          ?>

          <select id="input-timezone" name="timezone">
              <?php echo wp_timezone_choice( $timezone ); ?>
          </select>

          <div class="ipcozr-help">
            <a class="ipcozr-btn-help ipcozr-btn ipcozr-btn-default" href="#"><i class="ipcozr-fa ipcozr-fa-question"></i></a>
            <div class="ipcozr-help-content ipcozr-hide">
              <?php _e( 'The timezone of the countdown date.', IPCOZR_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipcozr-field -->

      </div>
      <!-- end: .ipcozr-field-row -->

      <?php
      /*
       * Template
       */
      ?>
      <!-- start: .ipcozr-field-row -->
      <div class="ipcozr-field-row ipcozr-field-x ipcozr-help-abs">
        <div class="ipcozr-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-template"><?php _e( 'Template', IPCOZR_SLUG ); ?></label>
        </div>

        <!-- start: .ipcozr-field -->
        <div class="ipcozr-field col-lg-9 col-md-8 col-sm-12">

          <div id="ipcozr-field-template" class="ipcozr-option-preview ipcozr-image-option clear">
            <?php
            $current   = $this->setting->getSetting( 'template', 'default' );
            $templates = array(
                'default'       => 'Default',
                'default_top'   => 'Default Top',
                'framed'        => 'Framed',
                'framed_top'    => 'Framed Top',
                'gradation'     => 'Gradation',
                'gradation_top' => 'Gradation Top',
                'stripes'       => 'Stripes',
                'stripes_top'   => 'Stripes Top',
                'floral'        => 'Floral',
                'floral_top'    => 'Floral Top',
                'grungy'        => 'Grungy',
                'grungy_top'    => 'Grungy Top',
                'retro'         => 'Retro',
                'retro_top'     => 'Retro Top',
            );
            foreach( $templates as $key => $label ) :
                $class = '_item';
                if ( $key == $current ) {
                    $class .= ' _selected';
                }
                $preview = IPCOZR_BASE_URL . 'assets/img/template/preview/' . $key . '.png';
            ?>
            <div class="<?php echo $class; ?>" data-value="<?php echo $key; ?>">
              <div class="_item-inner">
                <div class="_item-image">
                  <img src="<?php echo $preview; ?>" alt="<?php echo $label; ?>">
                </div>
                <div class="_item-title">
                  <?php echo $label; ?>
                </div>
              </div>
            </div>
            <?php
            endforeach;
            ?>
            <input type="hidden" class="_value-selected" name="template" value="<?php echo $current; ?>">
          </div>

          <div class="ipcozr-help">
            <a class="ipcozr-btn-help ipcozr-btn ipcozr-btn-default" href="#"><i class="ipcozr-fa ipcozr-fa-question"></i></a>
            <div class="ipcozr-help-content ipcozr-hide">
              <?php _e( 'The template of the countdown.', IPCOZR_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipcozr-field -->

      </div>
      <!-- end: .ipcozr-field-row -->

      <?php
      /*
       * Style
       */
      ?>
      <!-- start: .ipcozr-field-row -->
      <div class="ipcozr-field-row ipcozr-field-x">
        <div class="ipcozr-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-style"><?php _e( 'Style', IPCOZR_SLUG ); ?></label>
        </div>

        <!-- start: .ipcozr-field -->
        <div class="ipcozr-field col-lg-9 col-md-8 col-sm-12">

          <select id="input-style" name="style">
            <?php
            $style  = $this->setting->getSetting( 'style', 'black' );
            $styles = array(
              'black'       => __( 'Black', IPCOZR_SLUG ),
              'blue'        => __( 'Blue', IPCOZR_SLUG ),
              'light_blue'  => __( 'Light Blue', IPCOZR_SLUG ),
              'green'       => __( 'Green', IPCOZR_SLUG ),
              'orange'      => __( 'Orange', IPCOZR_SLUG ),
              'red'         => __( 'Red', IPCOZR_SLUG ),
              'purple'      => __( 'Purple', IPCOZR_SLUG ),
            );
            foreach( $styles as $id => $label )
            {
                $sltd = '';
                if ( $id == $style ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $id . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
          </select>

          <div class="ipcozr-help">
            <a class="ipcozr-btn-help ipcozr-btn ipcozr-btn-default" href="#"><i class="ipcozr-fa ipcozr-fa-question"></i></a>
            <div class="ipcozr-help-content ipcozr-hide">
              <?php _e( 'The color style of the countdown.', IPCOZR_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipcozr-field -->

      </div>
      <!-- end: .ipcozr-field-row -->

      <?php
      /*
       * Font
       */
      ?>
      <!-- start: .ipcozr-field-row -->
      <div class="ipcozr-field-row ipcozr-field-x ipcozr-help-abs">
        <div class="ipcozr-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-font"><?php _e( 'Font', IPCOZR_SLUG ); ?></label>
        </div>

        <!-- start: .ipcozr-field -->
        <div class="ipcozr-field col-lg-9 col-md-8 col-sm-12">

          <div id="ipcozr-field-font" class="ipcozr-option-preview ipcozr-image-option clear">
            <?php
            $current = $this->setting->getSetting( 'font', 'DigitalDream' );
            $fonts   = array(
                'AnonymousPro'  => 'Anonymous Pro',
                'DigitalDream'  => 'Digital Dream',
                'Cousine'       => 'Cousine',
                'CutiveMono'    => 'Cutive Mono',
                'FiraMono'      => 'Fira Mono',
                'Inconsolata'   => 'Inconsolata',
                'NovaMono'      => 'Nova Mono',
                'OxygenMono'    => 'Oxygen Mono',
                'PTMono'        => 'PT Mono',
                'RobotoMono'    => 'Roboto Mono',
                'ShareTechMono' => 'Share Tech Mono',
                'SourceCodePro' => 'Source Code Pro',
                'UbuntuMono'    => 'Ubuntu Mono',
            );
            foreach( $fonts as $key => $label ) :
                $class = '_item';
                if ( $key == $current ) {
                    $class .= ' _selected';
                }
                $preview = IPCOZR_BASE_URL . 'assets/img/fonts/' . $key . '.png';
            ?>
            <div class="<?php echo $class; ?>" data-value="<?php echo $key; ?>">
              <div class="_item-inner">
                <div class="_item-image">
                  <img src="<?php echo $preview; ?>" alt="<?php echo $label; ?>">
                </div>
                <div class="_item-title">
                  <?php echo $label; ?>
                </div>
              </div>
            </div>
            <?php
            endforeach;
            ?>
            <input type="hidden" class="_value-selected" name="font" value="<?php echo $current; ?>">
          </div>

          <div class="ipcozr-help">
            <a class="ipcozr-btn-help ipcozr-btn ipcozr-btn-default" href="#"><i class="ipcozr-fa ipcozr-fa-question"></i></a>
            <div class="ipcozr-help-content ipcozr-hide">
              <?php _e( 'The font type of the text countdown.', IPCOZR_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipcozr-field -->

      </div>
      <!-- end: .ipcozr-field-row -->


    </div>
    <!-- end: .ipcozr-fields -->

  </div>
</div>
