<?php
/**
 * Admin content end view
 *
 * @package wp-email-countdown
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipcozr-section-end" class="ipcozr-tab-content">
  <div class="ipcozr-tab-inner">

    <div class="ipcozr-title-content ipcozr-hide">
      <i class="ipcozr-fa ipcozr-fa-clock-o"></i>
      <div class="ipcozr-title-text">
        <h3><?php _e( 'End Settings', IPCOZR_SLUG ); ?></h3>
        <p><?php _e( 'Setting for content that will replace countdown when the timer expires', IPCOZR_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipcozr-fields -->
    <div class="ipcozr-fields">

      <?php
      /*
       * Image
       */
      ?>
      <!-- start: .ipcozr-field-row -->
      <div class="ipcozr-field-row ipcozr-field-x ipcozr-help-abs">
        <div class="ipcozr-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-end-image"><?php _e( 'End Image', IPCOZR_SLUG ); ?></label>
        </div>

        <!-- start: .ipcozr-field -->
        <div class="ipcozr-field col-lg-9 col-md-8 col-sm-12">

          <div class="ipcozr-upload-image ipcozr-clear">
              <div class="ipcozr-upload-preview">
                  <?php
                    $setimg = false;
                    if ( $attach_id = $this->setting->getSetting( 'end_image' ) ) {
                        $setimg = true;
                        $data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
                    }
                    if ( $setimg ) {
                        echo '<div class="image"><img src="' . $data[0] . '" /></div>';
                        echo '<div class="none ipcozr-hide">' . __( 'No image', IPCOZR_SLUG ) . '</div>';
                        $reset_dsp = '';
                    } else {
                        echo '<div class="image"></div>';
                        echo '<div class="none">' . __( 'No image', IPCOZR_SLUG ) . '</div>';
                        $reset_dsp = ' style="display:none;"';
                    }
                  ?>
              </div>

              <div class="ipcozr-image-field">
                  <div class="ipcozr-select-image">
                      <p class="mt0"><?php _e( 'Select an image or upload new image using the button below.', IPCOZR_SLUG ); ?></p>
                      <a class="ipcozr-btn ipcozr-btn-secondary ipcozr-btn-media ipcozr-btn-sm" data-choose="<?php esc_attr_e( 'Choose Photo', IPCOZR_SLUG ); ?>"
                        data-update="<?php esc_attr_e( 'Choose photo', IPCOZR_SLUG ); ?>">
                          <i class="ipcozr-fa ipcozr-fa-image"></i>
                          <?php _e( 'Select Photo', IPCOZR_SLUG ); ?>
                      </a>
                      <a class="ipcozr-btn ipcozr-btn-reset ipcozr-btn-sm" href="#"<?php echo $reset_dsp; ?>>
                          <i class="ipcozr-fa ipcozr-fa-ban"></i>
                          <?php _e( 'Clear Photo', IPCOZR_SLUG ); ?>
                      </a>
                  </div>
                  <input type="hidden" name="upload_type" class="ipcozr-upload-type" value="end_image" />
                  <input type="hidden" name="end_image" class="ipcozr-image-id" value="<?php echo $attach_id; ?>" />
              </div>
          </div>

          <div class="ipcozr-help">
            <a class="ipcozr-btn-help ipcozr-btn ipcozr-btn-default" href="#"><i class="ipcozr-fa ipcozr-fa-question"></i></a>
            <div class="ipcozr-help-content ipcozr-hide">
              <?php _e( 'Image that will replace the countdown when the timer expires.', IPCOZR_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipcozr-field -->
      </div>
      <!-- end: .ipcozr-field-row -->

      <?php
      /*
       * Page Info Url
       */
      ?>
      <!-- start: .ipcozr-field-row -->
      <div class="ipcozr-field-row ipcozr-field-x ipcozr-help-abs">
        <div class="ipcozr-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-info-url"><?php _e( 'Page Info URL', IPCOZR_SLUG ); ?></label>
        </div>

        <!-- start: .ipcozr-field -->
        <div class="ipcozr-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $url = $this->setting->getSetting( 'info_url' );
          ?>
          <input type="text" id="input-info-url" class="ipcozr-input ipcozr-input-full" name="info_url" value="<?php echo $url; ?> ">

          <div class="ipcozr-help">
            <a class="ipcozr-btn-help ipcozr-btn ipcozr-btn-default" href="#"><i class="ipcozr-fa ipcozr-fa-question"></i></a>
            <div class="ipcozr-help-content ipcozr-hide">
              <?php _e( 'The destination url of the page info when the image is clicked.', IPCOZR_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipcozr-field -->

      </div>
      <!-- end: .ipcozr-field-row -->

    </div>
    <!-- end: .ipcozr-fields -->

  </div>
</div>
