<?php
/**
 * Admin content newsletter view
 *
 * @package wp-email-countdown
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipcozr-section-newsletter" class="ipcozr-tab-content ipcozr-save-hide">
  <div class="ipcozr-tab-inner">

    <div class="ipcozr-title-content ipcozr-hide">
      <i class="ipcozr-fa ipcozr-fa-envelope"></i>
      <div class="ipcozr-title-text">
        <h3><?php _e( 'Newsletter', IPCOZR_SLUG ); ?></h3>
        <p><?php _e( 'Send newsletters with campaign content.', IPCOZR_SLUG ); ?></p>
      </div>
    </div>

    <h3 class="ipcozr-field-title py10"><?php _e( 'Content Email', IPCOZR_SLUG ); ?></h3>
    <!-- start: .ipcozr-fields -->
    <div class="ipcozr-fields mt20 mb40">
      <div class="ipcozr-field ipcozr-editor">
        <?php
        $homeLink   = home_url();
        $imageLink .= $homeLink . '/wp-email-countdown-image?campaign_id=' . $this->campaign->ID;
        $campLink  .= $homeLink . '/wp-email-countdown-campaign?campaign_id=' . $this->campaign->ID;
        $code       = '<a href="' . $campLink . '">';
        $code      .= '<img src="' . $imageLink . '&amp;campaign_preview=1" alt="">';
        $code      .= '</a>';


        $tinymceInit = array(
            'editor_height' => 120
        );
        wp_editor( $code, 'newsletter_content', array(
            'editor_height' => 120,
            'tinymce'       => $tinymceInit
        ));
        ?>
      </div>
      <div class="ipcozr-content-email-copy mt20">
          <a id="ipcozr-content-email-copy-btn" href="#newsletter_content" class="ipcozr-embed-copy ipcozr-btn ipcozr-btn-sm ipcozr-btn-secondary" data-clipboard-target="newsletter_content">
              <?php _e( 'Copy', IPCOZR_SLUG ); ?>
          </a>
      </div>
    </div>

    <h3 class="ipcozr-field-title py10"><?php _e( 'Send Email', IPCOZR_SLUG ); ?></h3>
    <!-- start: .ipcozr-fields -->
    <div class="ipcozr-fields mt20">
      <div id="ipcozr-send-email-messages" class="mb20" style="display:none;"></div>

      <div class="ipcozr-field mt15">
        <input type="text" id="input-newsletter-subject" class="ipcozr-input ipcozr-input-full ipcozr-input-v-lg" name="newsletter_subject" value="" placeholder="Subject">
      </div>
      <div class="ipcozr-field mt15">
        <h4><?php _e( 'Email Addresses', IPCOZR_SLUG ); ?></h4>

        <p><?php _e( 'Enter the email address to send email content above. You can send email to multiple email addresses, separated by commas', IPCOZR_SLUG ); ?></p>

        <textarea id="ipcozr-email-lists" name="newsletter_emails" class="ipcozr-input ipcozr-input-full"></textarea>
      </div>
      <div class="ipcozr-content-email-send mt10">
          <a id="ipcozr-content-email-send-btn" href="#" class="ipcozr-embed-copy ipcozr-btn ipcozr-btn-md ipcozr-btn-secondary">
              <?php _e( 'Send Email', IPCOZR_SLUG ); ?>
          </a>
      </div>
    </div>

  </div>
</div>
