<?php
/**
 * Admin statistic view
 *
 * @package wp-email-countdown
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipcozr-section-statistic" class="ipcozr-tab-content ipcozr-save-hide">
  <div class="ipcozr-tab-inner">

    <div class="ipcozr-title-content ipcozr-hide">
      <i class="ipcozr-fa ipcozr-fa-line-chart"></i>
      <div class="ipcozr-title-text">
        <h3><?php _e( 'Statistic', IPCOZR_SLUG ); ?></h3>
        <p><?php _e( 'See the statistic data for your video', IPCOZR_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipcozr-fields -->
    <div class="ipcozr-fields">

      <!-- start: .ipcozr-statistic -->
      <div class="ipcozr-statistic">

        <?php
        $model      = new IPCozr_Model_Stat();
        $campId     = $this->campaign->ID;
        $click      = $model->getStatValue( $campId, 'click' );
        $uclick     = $model->getStatValue( $campId, 'unique_click' );
        $display    = $model->getStatValue( $campId, 'display' );
        $udisplay   = $model->getStatValue( $campId, 'unique_display' );
        ?>

        <div class="ipcozr-stat-filter ipcozr-clear">
          <div class="ipcozr-stat-nav">
            <div class="container container-fluid">
              <ul class="row">
                <li class="col-sm-3 ipcozr-nav-view ipcozr-nav-blue active">
                  <a href="#stat-display">
                    <i class="ipcozr-fa ipcozr-fa-eye"></i>
                    <span class="stat-value">
                      <strong> <?php echo number_format( $display ); ?></strong>
                      <em> <?php _e( 'Display', IPCOZR_SLUG ); ?></em>
                    </span>
                  </a>
                </li>
                <li class="col-sm-3 ipcozr-nav-subscribe ipcozr-nav-red">
                  <a href="#stat-unique_display">
                    <i class="ipcozr-fa ipcozr-fa-users"></i>
                    <span class="stat-value">
                      <strong> <?php echo number_format( $udisplay ); ?></strong>
                      <em> <?php _e( 'Unique Daily Display', IPCOZR_SLUG ); ?></em>
                    </span>
                  </a>
                </li>
                <li class="col-sm-3 ipcozr-nav-buy ipcozr-nav-orange">
                  <a href="#stat-click">
                    <i class="ipcozr-fa ipcozr-fa-shield"></i>
                    <span class="stat-value">
                      <strong> <?php echo number_format( $click ); ?></strong>
                      <em> <?php _e( 'Clicks', IPCOZR_SLUG ); ?></em>
                    </span>
                  </a>
                </li>
                <li class="col-sm-3 ipcozr-nav-social ipcozr-nav-green">
                  <a href="#stat-unique_click">
                    <i class="ipcozr-fa ipcozr-fa-chain"></i>
                    <span class="stat-value">
                      <strong> <?php echo number_format( $uclick ); ?></strong>
                      <em> <?php _e( 'Unique Daily Clicks', IPCOZR_SLUG ); ?></em>
                    </span>
                  </a>
                </li>
              </ul>
            </div>
          </div>
          <div class="ipcozr-date-filter">
            <form action="" method="post">
              <input type="hidden" id="value-campaignid" name="campaignid" value="<?php echo $campId; ?>" />
              <input type="hidden" id="value-stat-type" name="stat_type" value="display" />
              <?php
              $dateStart = date('m/d/Y');
              $dateEnd   = date('m/d/Y');
              ?>
              <strong> <?php _e( 'Filter By Date', IPCOZR_SLUG ); ?>: </strong>
              <span class="ipcozr-date-input">
                <input type="text" id="date-start" name="cdatestart" value="<?php echo $dateStart; ?>" />
                -
                <input type="text" id="date-end" name="cdateend" value="<?php echo $dateEnd; ?>" />
              </span>
              <span class="ipcozr-do-filter">
                <input type="submit" id="do-filter-date" class="button button-primary" name="do_filter_date" value="<?php _e( 'Go', IPCOZR_SLUG ); ?>" />
              </span>
            </form>
          </div>
        </div>

        <div class="ipcozr-stat-main">
            <h4><?php _e( 'Views Statistic', IPCOZR_SLUG ); ?></h4>
            <div class="ipcozr-stat-chart">

                <script type="text/javascript" src="https://www.google.com/jsapi"></script>
                <script type="text/javascript">
                    google.load("visualization", "1", {packages:["corechart"]});
                    google.setOnLoadCallback(drawChart);
                    function drawChart() {

                        var dataTable = new google.visualization.DataTable();
                        dataTable.addColumn( 'date', '<?php _e( 'Date', IPCOZR_SLUG ); ?>' );
                        dataTable.addColumn( 'number', '<?php _e( 'Display', IPCOZR_SLUG ); ?>' );

                        var rows = [
                        <?php
                        $stdata = $model->getStatisticData( $campId, 'display' );
                        if ( $stdata ) {
                            foreach( $stdata as $data ) {
                                $timestamp = strtotime( $data->gdate );
                                $phpdate   = getdate($timestamp);

                                echo '[new Date('
                                        . $phpdate['year'] . ', '
                                        . ( $phpdate['mon']  - 1 ) . ', '
                                        . $phpdate['mday'] . ',0,0,0), '
                                        . $data->value
                                    . '],';
                            }
                        }
                        ?>
                        ];
                        dataTable.addRows( rows );

                        var options = {
                            series: [{pointSize:6}]
                        };
                        var chart = new google.visualization.LineChart(document.getElementById('ipcozr-chart-div'));
                        chart.draw(dataTable, options);
                    }
                </script>

                <div id="ipcozr-chart-div" class="ipcozr-chart-main" style="width: 100%; height: 500px;"></div>
                <div class="ipcozr-chart-load" style="display: none;">
                    <?php
                    $src = IPCOZR_BASE_URL . 'assets/img/loading.gif';
                    ?>
                    <img src="<?php echo $src; ?>" alt="Loading..." />
                </div>

            </div>
        </div>

      </div>
      <!-- end: .ipcozr-statistic -->

    </div>
    <!-- end: .ipcozr-fields -->

  </div>
</div>
