<?php
/**
 * Admin promo main view
 *
 * @package wp-email-countdown
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipcozr-promo-manage" class="wrap ipcozr-wrap ipcozr-admin">
  <div class="ipcozr-inner">
    <?php
    if ( $this->promo ) {
        $this->title = $this->promo->post_title;
        $this->info  = '<i class="ipcozr-fa ipcozr-fa-calendar"></i> Created: ' .
            '<strong>' . mysql2date( 'd F Y, h:i', $this->promo->post_date ) . '</strong>';

        $this->view( 'manage/general/header' );
    } else {
        $this->view( 'manage/general/header' );
    }
    $form_action = admin_url( 'admin-ajax.php' ) . '?doajax=1&ipcozr=1&action=update_promo';
    ?>
    <div class="ipcozr-main">
      <div class="ipcozr-main-info"></div>

      <div class="ipcozr-primary">
        <div class="ipcozr-manage-wrap ipcozr-manage-sidebar">
          <form id="<?php echo $this->formId; ?>" class="ipcozr-form-container ipcozr-form" method="post" action="<?php echo $form_action; ?>" enctype="multipart/form-data">
            <input type="hidden" name="promo_id" id="ipcozr-value-promoid" value="<?php echo $this->promoId; ?>" />

            <div class="container-fluid container">
              <div class="ipcozr-clear ipcozr-tab">
                <?php
                $this->view( 'promo/main/nav' );
                ?>

                <div class="ipcozr-manage-content">
                  <div class="ipcozr-manage-info">
                    <div class="row">
                      <div class="col-md-8">
                        <div class="ipcozr-tab-title">
                          <i class="ipcozr-fa ipcozr-fa-cogs"></i>
                          <div class="ipcozr-title-text">
                            <h3> <?php _e( 'General', IPCOZR_SLUG ); ?></h3>
                            <p> <?php _e( 'Basic settings and info of your promo', IPCOZR_SLUG ); ?></p>
                          </div>
                        </div>
                      </div>
                      <div class="col-md-4">
                        <div class="ipcozr-top-submit">
                          <button type="submit" class="ipcozr-form-submit ipcozr-btn ipcozr-btn-secondary ipcozr-btn-lg <?php echo $this->submitId; ?>" id="do-update-top" name="update_top">
                            <i class="ipcozr-fa ipcozr-fa-<?php echo $this->submitIcon; ?>"></i>
                            <strong> <?php echo $this->submitLabel; ?></strong>
                          </button>
                          <?php
                          if ( $this->promo ) {
                            echo '<p class="ipcozr-update-info">' .
                              __( 'Last Update', IPCOZR_SLUG ) .
                              ': <strong>' . mysql2date( 'd F Y, h:i:s', $this->promo->post_date ) . '</strong>' .
                            '</p>';
                          }
                          ?>
                        </div>
                      </div>
                    </div>
                  </div>

                  <?php
                  $this->view( 'promo/main/content' );
                  ?>

                  <div class="ipcozr-manage-footer">
                    <div class="row">
                      <div class="col-md-6">
                        <div class="ipcozr-bottom-submit">
                          <button type="submit" class="ipcozr-form-submit ipcozr-btn ipcozr-btn-secondary ipcozr-btn-lg <?php echo $this->submitId; ?>" id="do-update-bottom" name="update_bottom">
                            <i class="ipcozr-fa ipcozr-fa-<?php echo $this->submitIcon; ?>"></i>
                            <strong><?php echo $this->submitLabel; ?></strong>
                          </button>
                        </div>
                      </div>
                      <div class="col-md-6">
                        <div class="ipcozr-bottom-action text-right">
                          <?php
                          if ( $this->promo ) :
                          ?>
                          <a href="<?php echo $this->permalink_root . $this->promo->post_name; ?>" class="ipcozr-btn ipcozr-btn-success ipcozr-btn-lg ipcozr-item-view" target="_blank">
                              <i class="ipcozr-fa ipcozr-fa-eye"></i>
                              <?php _e( 'View Page', IPCOZR_SLUG ); ?>
                          </a>
                          <?php
                          endif;
                          ?>
                        </div>
                      </div>
                    </div>

                  </div>
                </div>
              </div>
            </div>

          </form>
        </div>
      </div>
    </div>
  </div>
</div>
