<?php
/**
 * Admin promo content view
 *
 * @package wp-email-countdown
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$setting = $this->setting;
?>
<div id="ipcozr-section-promo-content" class="ipcozr-tab-content">
  <div class="ipcozr-tab-inner">

    <div class="ipcozr-title-content ipcozr-hide">
      <i class="ipcozr-fa ipcozr-fa-cogs"></i>
      <div class="ipcozr-title-text">
        <h3><?php _e( 'General', IPCOZR_SLUG ); ?></h3>
        <p><?php _e( 'Basic settings and info of your promo campaign', IPCOZR_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipcozr-fields -->
    <div class="ipcozr-fields">

      <?php
      /*
       * Page URL
       */
      ?>
      <!-- start: .ipcozr-field-row -->
      <div class="ipcozr-field-row ipcozr-field-x ipcozr-help-abs">
        <div class="ipcozr-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-page-url"><?php _e( 'Page URL', IPCOZR_SLUG ); ?></label>
        </div>

        <!-- start: .ipcozr-field -->
        <div class="ipcozr-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $url = $setting->getSetting( 'page_url' );
          ?>
          <input type="text" id="input-page-url" class="ipcozr-input ipcozr-input-full" name="page_url" value="<?php echo $url; ?>">

          <div class="ipcozr-help">
            <a class="ipcozr-btn-help ipcozr-btn ipcozr-btn-default" href="#"><i class="ipcozr-fa ipcozr-fa-question"></i></a>
            <div class="ipcozr-help-content ipcozr-hide">
              <?php _e( 'The Url of the page where the content will be shown in the promo page via iframe.', IPCOZR_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipcozr-field -->
      </div>
      <!-- end: .ipcozr-field-row -->

      <?php
      /*
       * Widget
       */
      ?>
      <!-- start: .ipcozr-field-row -->
      <div class="ipcozr-field-row ipcozr-field-x">
        <div class="ipcozr-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-widget"><?php _e( 'Widget', IPCOZR_SLUG ); ?></label>
        </div>

        <!-- start: .ipcozr-field -->
        <div class="ipcozr-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $campaign = $setting->getSetting( 'widget' );
          ?>
          <select id="input-widget" name="widget">
              <?php
              $args = array(
                  'orderby'        => 'post_title',
                  'order'          => 'DESC',
                  'post_type'      => 'ipcozr-widget',
                  'post_status'    => array('publish'),
                  'posts_per_page' => -1,
                  'paged'          => 1
              );
              $query = new WP_Query;
              $contents = $query->query( $args );
              foreach( $contents as $content )
              {
                  $sltd = '';
                  if ( $content->ID == $campaign ) {
                      $sltd = ' selected="selected"';
                  }
                  echo '<option value="' . $content->ID .  '"' . $sltd . '>' . $content->post_title . '</option>';
              }
              ?>
          </select>

          <div class="ipcozr-help">
            <a class="ipcozr-btn-help ipcozr-btn ipcozr-btn-default" href="#"><i class="ipcozr-fa ipcozr-fa-question"></i></a>
            <div class="ipcozr-help-content ipcozr-hide">
              <?php _e( 'The widget of the promo page.', IPCOZR_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipcozr-field -->
      </div>
      <!-- end: .ipcozr-field-row -->

    </div>
    <!-- end: .ipcozr-fields -->

  </div>
</div>
