<?php
/**
 * Admin content seo view
 *
 * @package wp-email-countdown
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$setting = $this->setting;
?>
<div id="ipcozr-section-promo-seo" class="ipcozr-tab-content">
  <div class="ipcozr-tab-inner">

    <div class="ipcozr-title-content ipcozr-hide">
      <i class="ipcozr-fa ipcozr-fa-cogs"></i>
      <div class="ipcozr-title-text">
        <h3><?php _e( 'SEO', IPCOZR_SLUG ); ?></h3>
        <p><?php _e( 'Manage SEO content for the promo page', IPCOZR_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipcozr-fields -->
    <div class="ipcozr-fields">

      <?php
      /*
       * Meta Title
       */
      ?>
      <!-- start: .ipcozr-field-row -->
      <div class="ipcozr-field-row ipcozr-field-x ipcozr-help-abs">
        <div class="ipcozr-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-seo-meta-title"><?php _e( 'Meta Title', IPCOZR_SLUG ); ?></label>
        </div>

        <!-- start: .ipcozr-field -->
        <div class="ipcozr-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $title = $setting->getSetting( 'seo_meta_title' );
          ?>
          <input type="text" id="input-seo-meta-title" class="ipcozr-input ipcozr-input-full" name="seo_meta_title" value="<?php echo $title; ?>">

          <div class="ipcozr-help">
            <a class="ipcozr-btn-help ipcozr-btn ipcozr-btn-default" href="#"><i class="ipcozr-fa ipcozr-fa-question"></i></a>
            <div class="ipcozr-help-content ipcozr-hide">
              <?php _e( 'The meta title content for the promo page.', IPCOZR_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipcozr-field -->
      </div>
      <!-- end: .ipcozr-field-row -->

      <?php
      /*
       * Meta Description
       */
      ?>
      <!-- start: .ipcozr-field-row -->
      <div class="ipcozr-field-row ipcozr-field-x ipcozr-help-abs">
        <div class="ipcozr-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-seo-meta-description"><?php _e( 'Meta Description', IPCOZR_SLUG ); ?></label>
        </div>

        <!-- start: .ipcozr-field -->
        <div class="ipcozr-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $description = $setting->getSetting( 'seo_meta_description' );
          ?>
          <input type="text" id="input-seo-meta-description" class="ipcozr-input ipcozr-input-full" name="seo_meta_description" value="<?php echo $description; ?>">

          <div class="ipcozr-help">
            <a class="ipcozr-btn-help ipcozr-btn ipcozr-btn-default" href="#"><i class="ipcozr-fa ipcozr-fa-question"></i></a>
            <div class="ipcozr-help-content ipcozr-hide">
              <?php _e( 'The meta description content for the promo page.', IPCOZR_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipcozr-field -->
      </div>
      <!-- end: .ipcozr-field-row -->

      <?php
      /*
       * Meta Keywords
       */
      ?>
      <!-- start: .ipcozr-field-row -->
      <div class="ipcozr-field-row ipcozr-field-x ipcozr-help-abs">
        <div class="ipcozr-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-seo-meta-keywords"><?php _e( 'Meta Keywords', IPCOZR_SLUG ); ?></label>
        </div>

        <!-- start: .ipcozr-field -->
        <div class="ipcozr-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $keywords = $setting->getSetting( 'seo_meta_keywords' );
          ?>
          <input type="text" id="input-seo-meta-keywords" class="ipcozr-input ipcozr-input-full" name="seo_meta_keywords" value="<?php echo $keywords; ?>">

          <div class="ipcozr-help">
            <a class="ipcozr-btn-help ipcozr-btn ipcozr-btn-default" href="#"><i class="ipcozr-fa ipcozr-fa-question"></i></a>
            <div class="ipcozr-help-content ipcozr-hide">
              <?php _e( 'The meta keywords content for the promo page.', IPCOZR_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipcozr-field -->
      </div>
      <!-- end: .ipcozr-field-row -->

      <?php
      /*
       * Open Graph Image URL
       */
      ?>
      <!-- start: .ipcozr-field-row -->
      <div class="ipcozr-field-row ipcozr-field-x ipcozr-help-abs">
        <div class="ipcozr-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-seo-graph-image"><?php _e( 'Open Graph Image URL', IPCOZR_SLUG ); ?></label>
        </div>

        <!-- start: .ipcozr-field -->
        <div class="ipcozr-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $url = $setting->getSetting( 'seo_graph_image' );
          ?>
          <input type="text" id="input-seo-graph-image" class="ipcozr-input ipcozr-input-full" name="seo_graph_image" value="<?php echo $url; ?>">

          <div class="ipcozr-help">
            <a class="ipcozr-btn-help ipcozr-btn ipcozr-btn-default" href="#"><i class="ipcozr-fa ipcozr-fa-question"></i></a>
            <div class="ipcozr-help-content ipcozr-hide">
              <?php _e( 'The open graph image url for the promo page.', IPCOZR_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipcozr-field -->
      </div>
      <!-- end: .ipcozr-field-row -->

      <?php
      /*
       * Favicon URL
       */
      ?>
      <!-- start: .ipcozr-field-row -->
      <div class="ipcozr-field-row ipcozr-field-x ipcozr-help-abs">
        <div class="ipcozr-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-seo-favicon"><?php _e( 'Favicon URL', IPCOZR_SLUG ); ?></label>
        </div>

        <!-- start: .ipcozr-field -->
        <div class="ipcozr-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $url = $setting->getSetting( 'seo_favicon' );
          ?>
          <input type="text" id="input-seo-favicon" class="ipcozr-input ipcozr-input-full" name="seo_favicon" value="<?php echo $url; ?>">

          <div class="ipcozr-help">
            <a class="ipcozr-btn-help ipcozr-btn ipcozr-btn-default" href="#"><i class="ipcozr-fa ipcozr-fa-question"></i></a>
            <div class="ipcozr-help-content ipcozr-hide">
              <?php _e( 'The favicon url for the promo page.', IPCOZR_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipcozr-field -->
      </div>
      <!-- end: .ipcozr-field-row -->

      <?php
      /*
       * Tracking Code
       */
      ?>
      <!-- start: .ipcozr-field-row -->
      <div class="ipcozr-field-row ipcozr-field-x ipcozr-help-abs">
        <div class="ipcozr-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-seo-tracking-code"><?php _e( 'Tracking Code', IPCOZR_SLUG ); ?></label>
        </div>

        <!-- start: .ipcozr-field -->
        <div class="ipcozr-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $code = $setting->getSetting( 'seo_tracking_code' );
          ?>
          <textarea id="input-seo-tracking-code" class="ipcozr-input ipcozr-input-full" name="seo_tracking_code"><?php echo $code; ?></textarea>

          <div class="ipcozr-help">
            <a class="ipcozr-btn-help ipcozr-btn ipcozr-btn-default" href="#"><i class="ipcozr-fa ipcozr-fa-question"></i></a>
            <div class="ipcozr-help-content ipcozr-hide">
              <?php _e( 'The tracking code for the promo page.', IPCOZR_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipcozr-field -->
      </div>
      <!-- end: .ipcozr-field-row -->

    </div>
    <!-- end: .ipcozr-fields -->

  </div>
</div>
