<?php
$id  = 'ipcozr-' . $this->video->ID;
$id .= '-' . $this->prefix . '-popup';
?>
<div id="<?php echo $id; ?>" class="ipcozr-ui-modal" style="display:none;">
  <div class="ipcozr-popup-inner ipcozr-ui-modal-main">
    <div class="ipcozr-ui-close">
        <a class="ipcozr-ui-close-link" href="#">
          <i class="ipcozr-fa ipcozr-fa-times"></i>
        </a>
    </div>
    <div class="ipcozr-ui-modal-content">
      <div class="ipcozr-popup-content">

        <?php
        if ( $title = $this->setting->getSetting( $this->prefix . '_popup_title' ) ) :
        ?>
        <div class="_popup-title">
          <h3> <?php echo $title; ?></h3>
        </div>
        <?php
        endif;

        if ( $imageId = $this->setting->getSetting( $this->prefix . '_popup_image' ) ) :
            $data = wp_get_attachment_image_src( $imageId, 'full' );
            $src  = $data[0];
            $link = $this->setting->getSetting( $this->prefix . '_popup_image_url' );
        ?>
        <div class="_popup-image">
          <?php
          if ( $link ) {
              echo '<a href="' . $link . '" data-id="' . $this->video->ID . '">';
          }
          ?>
          <img src="<?php echo $src; ?>" alt="">
          <?php
          if ( $link ) {
              echo '</a>';
          }
          ?>
        </div>
        <?php
        endif;

        if ( $info = $this->setting->getSetting( $this->prefix . '_popup_info' ) ) :
        ?>
        <div class="_popup-info">
          <?php echo $info; ?>
        </div>
        <?php
        endif;

        $btnLabel = $this->setting->getSetting( $this->prefix . '_popup_button_label' );
        $btnUrl   = $this->setting->getSetting( $this->prefix . '_popup_button_url' );
        if ( $btnLabel && $btnUrl ) :

          $btnClass  = 'ipcozr-btn';
          $btnStyle  = $this->setting->getSetting( 'popup_button_style', 'flat' );
          $btnClass .= ' ipcozr-btn-'.$btnStyle;
          $btnColor  = $this->setting->getSetting( 'popup_button_color', 'clean' );
          $btnClass .= ' ipcozr-btn-'.$btnColor;
          $btnSize   = $this->setting->getSetting( 'popup_button_size', 'md' );
          $btnClass .= ' ipcozr-btn-'.$btnSize;
        ?>
        <div class="_popup-button">
          <a href="<?php echo $btnUrl; ?>" class="<?php echo $btnClass; ?>" data-id="<?php echo $this->video->ID; ?>">
            <?php echo $btnLabel; ?>
          </a>
        </div>
        <?php
        endif;
        ?>

      </div>
    </div>
  </div>
</div>
