<?php
/**
 * Admin content general view
 *
 * @package wp-email-countdown
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$setting = $this->setting;
?>
<div id="ipcozr-section-widget-content" class="ipcozr-tab-content">
  <div class="ipcozr-tab-inner">

    <div class="ipcozr-title-content ipcozr-hide">
      <i class="ipcozr-fa ipcozr-fa-cogs"></i>
      <div class="ipcozr-title-text">
        <h3><?php _e( 'Content', IPCOZR_SLUG ); ?></h3>
        <p><?php _e( 'The content of your widget campaign', IPCOZR_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipcozr-fields -->
    <div class="ipcozr-fields">

      <?php
      /*
       * Logo
       */
      ?>
      <!-- start: .ipcozr-field-row -->
      <div class="ipcozr-field-row ipcozr-field-x ipcozr-help-abs">
        <div class="ipcozr-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-content-logo"><?php _e( 'Logo', IPCOZR_SLUG ); ?></label>
        </div>

        <!-- start: .ipcozr-field -->
        <div class="ipcozr-field col-lg-9 col-md-8 col-sm-12">

          <div class="ipcozr-upload-image ipcozr-clear">
              <div class="ipcozr-upload-preview">
                  <?php
                    $setimg = false;
                    if ( $attach_id = $setting->getSetting( 'content_logo' ) ) {
                        $setimg = true;
                        $data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
                    }
                    if ( $setimg ) {
                        echo '<div class="image"><img src="' . $data[0] . '" /></div>';
                        echo '<div class="none ipcozr-hide">' . __( 'No image', IPCOZR_SLUG ) . '</div>';
                        $reset_dsp = '';
                    } else {
                        echo '<div class="image"></div>';
                        echo '<div class="none">' . __( 'No image', IPCOZR_SLUG ) . '</div>';
                        $reset_dsp = ' style="display:none;"';
                    }
                  ?>
              </div>

              <div class="ipcozr-image-field">
                  <div class="ipcozr-select-image">
                      <p class="mt0"><?php _e( 'Select an image or upload new image using the button below.', IPCOZR_SLUG ); ?></p>
                      <a class="ipcozr-btn ipcozr-btn-secondary ipcozr-btn-media ipcozr-btn-sm" data-choose="<?php esc_attr_e( 'Choose Photo', IPCOZR_SLUG ); ?>"
                        data-update="<?php esc_attr_e( 'Choose photo', IPCOZR_SLUG ); ?>">
                          <i class="ipcozr-fa ipcozr-fa-image"></i>
                          <?php _e( 'Select Photo', IPCOZR_SLUG ); ?>
                      </a>
                      <a class="ipcozr-btn ipcozr-btn-reset ipcozr-btn-sm" href="#"<?php echo $reset_dsp; ?>>
                          <i class="ipcozr-fa ipcozr-fa-ban"></i>
                          <?php _e( 'Clear Photo', IPCOZR_SLUG ); ?>
                      </a>
                  </div>
                  <input type="hidden" name="upload_type" class="ipcozr-upload-type" value="content_logo" />
                  <input type="hidden" name="content_logo" class="ipcozr-image-id" value="<?php echo $attach_id; ?>" />
              </div>
          </div>

          <div class="ipcozr-help">
            <a class="ipcozr-btn-help ipcozr-btn ipcozr-btn-default" href="#"><i class="ipcozr-fa ipcozr-fa-question"></i></a>
            <div class="ipcozr-help-content ipcozr-hide">
              <?php _e( 'The logo of the widget.', IPCOZR_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipcozr-field -->
      </div>
      <!-- end: .ipcozr-field-row -->

      <?php
      /*
       * Title
       */
      ?>
      <!-- start: .ipcozr-field-row -->
      <div class="ipcozr-field-row ipcozr-field-x ipcozr-help-abs">
        <div class="ipcozr-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-content-title"><?php _e( 'Title', IPCOZR_SLUG ); ?></label>
        </div>

        <!-- start: .ipcozr-field -->
        <div class="ipcozr-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $title = $setting->getSetting( 'content_title' );
          ?>
          <input type="text" id="input-content-title" class="ipcozr-input ipcozr-input-full" name="content_title" value="<?php echo $title; ?>">

          <div class="ipcozr-help">
            <a class="ipcozr-btn-help ipcozr-btn ipcozr-btn-default" href="#"><i class="ipcozr-fa ipcozr-fa-question"></i></a>
            <div class="ipcozr-help-content ipcozr-hide">
              <?php _e( 'The title of the widget.', IPCOZR_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipcozr-field -->
      </div>
      <!-- end: .ipcozr-field-row -->

      <?php
      /*
       * Info
       */
      ?>
      <!-- start: .ipcozr-field-row -->
      <div class="ipcozr-field-row ipcozr-field-x ipcozr-help-abs">
        <div class="ipcozr-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-content-info"><?php _e( 'Info', IPCOZR_SLUG ); ?></label>
        </div>

        <!-- start: .ipcozr-field -->
        <div class="ipcozr-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $info = $setting->getSetting( 'content_info' );
          ?>
          <textarea id="input-content-info" class="ipcozr-input ipcozr-input-full" name="content_info"><?php echo $info; ?></textarea>

          <div class="ipcozr-help">
            <a class="ipcozr-btn-help ipcozr-btn ipcozr-btn-default" href="#"><i class="ipcozr-fa ipcozr-fa-question"></i></a>
            <div class="ipcozr-help-content ipcozr-hide">
              <?php _e( 'The info of the widget.', IPCOZR_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipcozr-field -->
      </div>
      <!-- end: .ipcozr-field-row -->


      <h3 class="ipcozr-field-title mb20 py10"><?php _e( 'Close Link', IPCOZR_SLUG ); ?></h3>

      <?php
      /*
       * Status
       */
      ?>
      <!-- start: .ipcozr-field-row -->
      <div class="ipcozr-field-row ipcozr-field-x">
        <div class="ipcozr-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-close-status"><?php _e( 'Show/Hide Close Link', IPCOZR_SLUG ); ?></label>
        </div>

        <!-- start: .ipcozr-field -->
        <div class="ipcozr-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipcozr-onoff">
              <?php
              $val = $setting->getSetting( 'close_status', 'true' );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipcozr-btn-group">
                <button data-value="true" class="ipcozr-btn-onoff<?php echo $clon; ?> ipcozr-btn-on" type="button"><?php _e( 'Show', IPCOZR_SLUG ); ?></button>
                <button data-value="false" class="ipcozr-btn-onoff<?php echo $cloff; ?> ipcozr-btn-off" type="button"><?php _e( 'Hide', IPCOZR_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipcozr-onoff-value" name="close_status" value="<?php echo $val; ?>" />
          </div>

          <div class="ipcozr-help">
            <a class="ipcozr-btn-help ipcozr-btn ipcozr-btn-default" href="#"><i class="ipcozr-fa ipcozr-fa-question"></i></a>
            <div class="ipcozr-help-content ipcozr-hide">
              <?php _e( 'Set to "Show" if you want show the close link.', IPCOZR_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipcozr-field -->
      </div>
      <!-- end: .ipcozr-field-row -->

      <?php
      /*
       * Text
       */
      ?>
      <!-- start: .ipcozr-field-row -->
      <div class="ipcozr-field-row ipcozr-field-x ipcozr-help-abs">
        <div class="ipcozr-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-close-text"><?php _e( 'Close Text', IPCOZR_SLUG ); ?></label>
        </div>

        <!-- start: .ipcozr-field -->
        <div class="ipcozr-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $text = $setting->getSetting( 'close_text' );
          ?>
          <input type="text" id="input-close-text" class="ipcozr-input ipcozr-input-full" name="close_text" value="<?php echo $text; ?>">

          <div class="ipcozr-help">
            <a class="ipcozr-btn-help ipcozr-btn ipcozr-btn-default" href="#"><i class="ipcozr-fa ipcozr-fa-question"></i></a>
            <div class="ipcozr-help-content ipcozr-hide">
              <?php _e( 'The text of the close link.', IPCOZR_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipcozr-field -->
      </div>
      <!-- end: .ipcozr-field-row -->
      <?php

      /*
       * Icon
       */
      ?>
      <!-- start: .ipcozr-field-row -->
      <div class="ipcozr-field-row ipcozr-field-x">
        <div class="ipcozr-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-close-icon"><?php _e( 'Show/Hide Icon', IPCOZR_SLUG ); ?></label>
        </div>

        <!-- start: .ipcozr-field -->
        <div class="ipcozr-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipcozr-onoff">
              <?php
              $val = $setting->getSetting( 'close_icon', 'true' );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipcozr-btn-group">
                <button data-value="true" class="ipcozr-btn-onoff<?php echo $clon; ?> ipcozr-btn-on" type="button"><?php _e( 'Show', IPCOZR_SLUG ); ?></button>
                <button data-value="false" class="ipcozr-btn-onoff<?php echo $cloff; ?> ipcozr-btn-off" type="button"><?php _e( 'Hide', IPCOZR_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipcozr-onoff-value" name="close_icon" value="<?php echo $val; ?>" />
          </div>

          <div class="ipcozr-help">
            <a class="ipcozr-btn-help ipcozr-btn ipcozr-btn-default" href="#"><i class="ipcozr-fa ipcozr-fa-question"></i></a>
            <div class="ipcozr-help-content ipcozr-hide">
              <?php _e( 'Set to "Show" if you want show the link icon.', IPCOZR_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipcozr-field -->
      </div>
      <!-- end: .ipcozr-field-row -->

      <?php
      /*
       * Color
       */
      ?>
      <!-- start: .ipcozr-field-row -->
      <div class="ipcozr-field-row ipcozr-field-x">
        <div class="ipcozr-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-close-color"><?php _e( 'Text Color', IPCOZR_SLUG ); ?></label>
        </div>

        <!-- start: .ipcozr-field -->
        <div class="ipcozr-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'close_color', '#ffffff' ) );
          ?>
          <input type="text" class="ipcozr-color-picker" id="input-close-color" name="close_color" value="<?php echo $color; ?>" />

          <div class="ipcozr-help">
            <a class="ipcozr-btn-help ipcozr-btn ipcozr-btn-default" href="#"><i class="ipcozr-fa ipcozr-fa-question"></i></a>
            <div class="ipcozr-help-content ipcozr-hide">
              <?php _e( 'The text color of the close link.', IPCOZR_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipcozr-field -->
      </div>
      <!-- end: .ipcozr-field-row -->

      <?php
      /*
       * Background Color
       */
      ?>
      <!-- start: .ipcozr-field-row -->
      <div class="ipcozr-field-row ipcozr-field-x">
        <div class="ipcozr-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-close-background-color"><?php _e( 'Background Color', IPCOZR_SLUG ); ?></label>
        </div>

        <!-- start: .ipcozr-field -->
        <div class="ipcozr-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'close_background_color', '#333333' ) );
          ?>
          <input type="text" class="ipcozr-color-picker" id="input-close-background-color" name="close_background_color" value="<?php echo $color; ?>" />


          <div class="ipcozr-help">
            <a class="ipcozr-btn-help ipcozr-btn ipcozr-btn-default" href="#"><i class="ipcozr-fa ipcozr-fa-question"></i></a>
            <div class="ipcozr-help-content ipcozr-hide">
              <?php _e( 'The background color of the close link.', IPCOZR_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipcozr-field -->
      </div>
      <!-- end: .ipcozr-field-row -->

    </div>
    <!-- end: .ipcozr-fields -->

  </div>
</div>
