<?php
/**
 * Admin widget design view
 *
 * @package wp-email-countdown
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$setting = $this->setting;
?>
<div id="ipcozr-section-widget-design" class="ipcozr-tab-content">
  <div class="ipcozr-tab-inner">

    <div class="ipcozr-title-content ipcozr-hide">
      <i class="ipcozr-fa ipcozr-fa-cogs"></i>
      <div class="ipcozr-title-text">
        <h3><?php _e( 'Design', IPCOZR_SLUG ); ?></h3>
        <p><?php _e( 'Set the appearance of the widget', IPCOZR_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipcozr-fields -->
    <div class="ipcozr-fields">

      <?php
      //Position
      ?>
      <!-- start: .ipcozr-field-row -->
      <div class="ipcozr-field-row ipcozr-field-x">
          <div class="ipcozr-form-label col-lg-3 col-md-4 col-sm-12">
              <label for="input-widget-position"><?php _e( 'Position', IPCOZR_SLUG ); ?></label>
          </div>
          <div class="ipcozr-field col-lg-9 col-md-8 col-sm-12">

              <select name="widget_position" id="input-widget-position">
              <?php
              $current = stripslashes( $this->setting->getSetting( 'widget_position', 'bottom' ));
              $styles  = array(
                  'top'     => __( 'Top', IPCOZR_SLUG ),
                  'bottom'  => __( 'Bottom', IPCOZR_SLUG )
              );
              foreach( $styles as $key => $label ) {
                  $sltd = '';
                  if ( $key == $current ) {
                      $sltd = ' selected="selected"';
                  }
                  echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
              }
              ?>
              </select>

              <div class="ipcozr-help">
                <a class="ipcozr-btn-help ipcozr-btn ipcozr-btn-default" href="#"><i class="ipcozr-fa ipcozr-fa-question"></i></a>
                  <div class="ipcozr-help-content ipcozr-hide">
                  <?php _e( 'The widget position in the web page.', IPCOZR_SLUG ); ?>
                </div>
            </div>
          </div>
      </div>
      <!-- end: .ipcozr-field-row -->

      <?php
      /*
       * Background Color
       */
      ?>
      <!-- start: .ipcozr-field-row -->
      <div class="ipcozr-field-row ipcozr-field-x">
        <div class="ipcozr-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-widget-background-color"><?php _e( 'Background Color', IPCOZR_SLUG ); ?></label>
        </div>

        <!-- start: .ipcozr-field -->
        <div class="ipcozr-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'widget_background_color', '#ffffff' ) );
          ?>
          <input type="text" class="ipcozr-color-picker" id="input-widget-background-color" name="widget_background_color" value="<?php echo $color; ?>" />


          <div class="ipcozr-help">
            <a class="ipcozr-btn-help ipcozr-btn ipcozr-btn-default" href="#"><i class="ipcozr-fa ipcozr-fa-question"></i></a>
            <div class="ipcozr-help-content ipcozr-hide">
              <?php _e( 'Background color in the widget.', IPCOZR_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipcozr-field -->
      </div>
      <!-- end: .ipcozr-field-row -->

      <?php
      /*
       * Border
       */
      ?>
      <!-- start: .ipcozr-field-row -->
      <div class="ipcozr-field-row ipcozr-field-x">
        <div class="ipcozr-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-widget-border"><?php _e( 'Border', IPCOZR_SLUG ); ?></label>
        </div>

        <!-- start: .ipcozr-field -->
        <div class="ipcozr-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $bowidth = $this->setting->getSetting( 'widget_border_width', 0 );
          $bocolor = stripslashes( $this->setting->getSetting( 'widget_border_color', '#dddddd' ));
          ?>
          <div class="ipcozr-input-group mr5">
            <input type="text" id="input-widget-border-width" class="ipcozr-input ipcozr-input-xxs" name="widget_border_width" value="<?php echo $bowidth; ?>">
            <div class="ipcozr-input-addon">px</div>
          </div>
          <input type="text" class="ipcozr-color-picker" id="input-widget-border-color" name="widget_border_color" value="<?php echo $bocolor; ?>" />

          <div class="ipcozr-help">
            <a class="ipcozr-btn-help ipcozr-btn ipcozr-btn-default" href="#"><i class="ipcozr-fa ipcozr-fa-question"></i></a>
            <div class="ipcozr-help-content ipcozr-hide">
              <?php _e( 'The border of the widget.', IPCOZR_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipcozr-field -->
      </div>
      <!-- end: .ipcozr-field-row -->

      <?php
      //Border radius
      ?>
      <!-- start: .ipcozr-field-row -->
      <div class="ipcozr-field-row ipcozr-field-x">
          <div class="ipcozr-form-label col-lg-3 col-md-4 col-sm-12">
              <label for="input-widget-radius"><?php _e( 'Border Radius', IPCOZR_SLUG ); ?></label>
          </div>
          <div class="ipcozr-field col-lg-9 col-md-8 col-sm-12">

              <select name="widget_radius" id="input-widget-radius">
              <?php
              $current = stripslashes( $this->setting->getSetting( 'widget_radius', 'none' ));
              $styles  = array(
                  'none' => __( 'None', IPCOZR_SLUG ),
                  'sm'   => __( 'Small', IPCOZR_SLUG ),
                  'md'   => __( 'Medium', IPCOZR_SLUG ),
                  'lg'   => __( 'Large', IPCOZR_SLUG )
              );
              foreach( $styles as $key => $label ) {
                  $sltd = '';
                  if ( $key == $current ) {
                      $sltd = ' selected="selected"';
                  }
                  echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
              }
              ?>
              </select>

              <div class="ipcozr-help">
                <a class="ipcozr-btn-help ipcozr-btn ipcozr-btn-default" href="#"><i class="ipcozr-fa ipcozr-fa-question"></i></a>
                  <div class="ipcozr-help-content ipcozr-hide">
                  <?php _e( 'The border radius of the widget.', IPCOZR_SLUG ); ?>
                </div>
            </div>
          </div>
      </div>
      <!-- end: .ipcozr-field-row -->

      <?php
      //Padding Top
      ?>
      <!-- start: .ipcozr-field-row -->
      <div class="ipcozr-field-row ipcozr-field-x">
          <div class="ipcozr-form-label col-lg-3 col-md-4 col-sm-12">
              <label for="input-widget-padding-top"><?php _e( 'Padding Top', IPCOZR_SLUG ); ?></label>
          </div>
          <div class="ipcozr-field col-lg-9 col-md-8 col-sm-12">

              <?php
              $padding = $this->setting->getSetting( 'widget_padding_top' );
              ?>
              <div class="ipcozr-input-group mr5">
                  <input type="text" id="input-widget-padding-top" class="ipcozr-input ipcozr-input-xs" name="widget_padding_top" value="<?php echo $padding; ?>">
                  <div class="ipcozr-input-addon">px</div>
              </div>

              <div class="ipcozr-help">
                <a class="ipcozr-btn-help ipcozr-btn ipcozr-btn-default" href="#"><i class="ipcozr-fa ipcozr-fa-question"></i></a>
                  <div class="ipcozr-help-content ipcozr-hide">
                  <?php _e( 'Padding top for the widget (in px).', IPCOZR_SLUG ); ?>
                </div>
            </div>
          </div>
      </div>
      <!-- end: .ipcozr-field-row -->

      <?php
      //Padding Bottom
      ?>
      <!-- start: .ipcozr-field-row -->
      <div class="ipcozr-field-row ipcozr-field-x">
          <div class="ipcozr-form-label col-lg-3 col-md-4 col-sm-12">
              <label for="input-widget-padding-bottom"><?php _e( 'Padding Bottom', IPCOZR_SLUG ); ?></label>
          </div>
          <div class="ipcozr-field col-lg-9 col-md-8 col-sm-12">

              <?php
              $padding = $this->setting->getSetting( 'widget_padding_bottom' );
              ?>
              <div class="ipcozr-input-group mr5">
                  <input type="text" id="input-widget-padding-bottom" class="ipcozr-input ipcozr-input-xs" name="widget_padding_bottom" value="<?php echo $padding; ?>">
                  <div class="ipcozr-input-addon">px</div>
              </div>

              <div class="ipcozr-help">
                <a class="ipcozr-btn-help ipcozr-btn ipcozr-btn-default" href="#"><i class="ipcozr-fa ipcozr-fa-question"></i></a>
                  <div class="ipcozr-help-content ipcozr-hide">
                  <?php _e( 'Padding bottom for the widget (in px).', IPCOZR_SLUG ); ?>
                </div>
            </div>
          </div>
      </div>
      <!-- end: .ipcozr-field-row -->

      <?php
      /*
       * Text Color
       */
      ?>
      <!-- start: .ipcozr-field-row -->
      <div class="ipcozr-field-row ipcozr-field-x">
        <div class="ipcozr-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-widget-color"><?php _e( 'Text Color', IPCOZR_SLUG ); ?></label>
        </div>

        <!-- start: .ipcozr-field -->
        <div class="ipcozr-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'widget_color', '#ffffff' ) );
          ?>
          <input type="text" class="ipcozr-color-picker" id="input-widget-color" name="widget_color" value="<?php echo $color; ?>" />


          <div class="ipcozr-help">
            <a class="ipcozr-btn-help ipcozr-btn ipcozr-btn-default" href="#"><i class="ipcozr-fa ipcozr-fa-question"></i></a>
            <div class="ipcozr-help-content ipcozr-hide">
              <?php _e( 'Text color in the widget.', IPCOZR_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipcozr-field -->
      </div>
      <!-- end: .ipcozr-field-row -->

    </div>
    <!-- end: .ipcozr-fields -->

  </div>
</div>
