<?php
/**
 * Admin widget effect view
 *
 * @package wp-email-countdown
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$setting = $this->setting;
?>
<div id="ipcozr-section-widget-effect" class="ipcozr-tab-content">
  <div class="ipcozr-tab-inner">

    <div class="ipcozr-title-content ipcozr-hide">
      <i class="ipcozr-fa ipcozr-fa-cogs"></i>
      <div class="ipcozr-title-text">
        <h3><?php _e( 'Effect', IPCOZR_SLUG ); ?></h3>
        <p><?php _e( 'Show/hide effect of the widget', IPCOZR_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipcozr-fields -->
    <div class="ipcozr-fields">

      <?php
      //Delay
      ?>
      <!-- start: .ipcozr-field-row -->
      <div class="ipcozr-field-row ipcozr-field-x">
          <div class="ipcozr-form-label col-lg-3 col-md-4 col-sm-12">
              <label for="input-widget-delay"><?php _e( 'Delay', IPCOZR_SLUG ); ?></label>
          </div>
          <div class="ipcozr-field col-lg-9 col-md-8 col-sm-12">

              <?php
              $delay = $this->setting->getSetting( 'widget_delay' );
              ?>
              <div class="ipcozr-input-group mr5">
                  <input type="text" id="input-widget-delay" class="ipcozr-input ipcozr-input-xs" name="widget_delay" value="<?php echo $delay; ?>">
                  <div class="ipcozr-input-addon">second</div>
              </div>

              <div class="ipcozr-help">
                <a class="ipcozr-btn-help ipcozr-btn ipcozr-btn-default" href="#"><i class="ipcozr-fa ipcozr-fa-question"></i></a>
                  <div class="ipcozr-help-content ipcozr-hide">
                  <?php _e( 'Determine the delay time before the widget is displayed.', IPCOZR_SLUG ); ?>
                </div>
            </div>
          </div>
      </div>
      <!-- end: .ipcozr-field-row -->

      <h3 class="ipcozr-field-title py10"><?php _e( 'Showing Effect', IPCOZR_SLUG ); ?></h3>
      <!-- start: .ipcozr-fields -->
      <div class="ipcozr-fields mb20">

        <?php
        //Animation Type
        ?>
        <!-- start: .ipcozr-field-row -->
        <div class="ipcozr-field-row ipcozr-field-x">
            <div class="ipcozr-form-label col-lg-3 col-md-4 col-sm-12">
                <label for="input-showing-animation-type"><?php _e( 'Animation Type', IPCOZR_SLUG ); ?></label>
            </div>
            <div class="ipcozr-field col-lg-9 col-md-8 col-sm-12">

              <select name="showing_animation_type" id="input-showing-animation-type">
                  <?php
                  $current = $setting->getSetting( 'showing_animation_type', 'linear' );
                  $effects = array(
                      'linear'    => __( 'Linear', IPCOZR_SLUG ),
                      'bounce'    => __( 'Bounce', IPCOZR_SLUG ),
                      'back'      => __( 'Back', IPCOZR_SLUG ),
                      'elastic'   => __( 'Elastic', IPCOZR_SLUG ),
                      'expo'      => __( 'Expo', IPCOZR_SLUG )
                  );
                  foreach( $effects as $key => $label )
                  {
                      $sltd = '';
                      if ( $current == $key ) {
                          $sltd = ' selected="selected"';
                      }
                      echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                  }
                  ?>
              </select>

              <div class="ipcozr-help">
                <a class="ipcozr-btn-help ipcozr-btn ipcozr-btn-default" href="#"><i class="ipcozr-fa ipcozr-fa-question"></i></a>
                <div class="ipcozr-help-content ipcozr-hide">
                  <?php _e( 'Set the type of the animation when the widget is displayed.', IPCOZR_SLUG ); ?>
                </div>
              </div>
            </div>
        </div>
        <!-- end: .ipcozr-field-row -->

        <?php
        //Animation Speed
        ?>
        <!-- start: .ipcozr-field-row -->
        <div class="ipcozr-field-row ipcozr-field-x">
            <div class="ipcozr-form-label col-lg-3 col-md-4 col-sm-12">
                <label for="input-showing-animation-speed"><?php _e( 'Animation Speed', IPCOZR_SLUG ); ?></label>
            </div>
            <div class="ipcozr-field col-lg-9 col-md-8 col-sm-12">

              <select name="showing_animation_speed" id="input-showing-animation-speed">
                  <?php
                  $effect  = stripslashes( $setting->getSetting( 'showing_animation_speed', 'md' ) );
                  $options = array(
                      'xs'    => __( 'Very Slow', IPCOZR_SLUG ),
                      'sm'    => __( 'Slow', IPCOZR_SLUG ),
                      'md'    => __( 'Medium', IPCOZR_SLUG ),
                      'lg'    => __( 'Fast', IPCOZR_SLUG ),
                      'xg'    => __( 'Very Fast', IPCOZR_SLUG ),
                  );
                  foreach( $options as $key => $option ) {
                      $sltd = '';
                      if ( $key == $effect ) {
                          $sltd = ' selected="selected"';
                      }
                      echo '<option value="' . $key . '"' . $sltd . '>' . $option . '</option>';
                  }
                  ?>
              </select>

              <div class="ipcozr-help">
                <a class="ipcozr-btn-help ipcozr-btn ipcozr-btn-default" href="#"><i class="ipcozr-fa ipcozr-fa-question"></i></a>
                <div class="ipcozr-help-content ipcozr-hide">
                  <?php _e( 'Set the speed of the animation when the widget is displayed.', IPCOZR_SLUG ); ?>
                </div>
              </div>
            </div>
        </div>
        <!-- end: .ipcozr-field-row -->

        <?php
        //Audio
        ?>
        <!-- start: .ipcozr-field-row -->
        <div class="ipcozr-field-row ipcozr-field-x">
            <div class="ipcozr-form-label col-lg-3 col-md-4 col-sm-12">
                <label for="input-showing-audio-speed"><?php _e( 'Audio', IPCOZR_SLUG ); ?></label>
            </div>
            <div class="ipcozr-field col-lg-9 col-md-8 col-sm-12">

              <select name="showing_audio" id="input-showing-audio">
                <option value="0"> <?php _e( 'No Audio', IPCOZR_SLUG );  ?> </option>
                <?php
                $audio   = absint( $setting->getSetting( 'showing_audio', 0 ) );
                $options = range(1,5);
                foreach( $options as $key ) {
                    $sltd = '';
                    if ( $key == $audio ) {
                        $sltd = ' selected="selected"';
                    }
                    echo '<option value="' . $key . '"' . $sltd . '>Audio #' . $key . '</option>';
                }
                ?>
              </select>

              <div class="ipcozr-help">
                <a class="ipcozr-btn-help ipcozr-btn ipcozr-btn-default" href="#"><i class="ipcozr-fa ipcozr-fa-question"></i></a>
                <div class="ipcozr-help-content ipcozr-hide">
                  <?php _e( 'Set the sound effect when the widget is displayed.', IPCOZR_SLUG ); ?>
                </div>
              </div>
            </div>
        </div>
        <!-- end: .ipcozr-field-row -->

      </div>
      <!-- start: .ipcozr-fields -->


      <h3 class="ipcozr-field-title py10"><?php _e( 'Hiding Effect', IPCOZR_SLUG ); ?></h3>
      <!-- start: .ipcozr-fields -->
      <div class="ipcozr-fields mb20">

        <?php
        //Animation Type
        ?>
        <!-- start: .ipcozr-field-row -->
        <div class="ipcozr-field-row ipcozr-field-x">
            <div class="ipcozr-form-label col-lg-3 col-md-4 col-sm-12">
                <label for="input-hiding-animation-type"><?php _e( 'Animation Type', IPCOZR_SLUG ); ?></label>
            </div>
            <div class="ipcozr-field col-lg-9 col-md-8 col-sm-12">

              <select name="hiding_animation_type" id="input-hiding-animation-type">
                  <?php
                  $current = $setting->getSetting( 'hiding_animation_type', 'linear' );
                  $effects = array(
                      'linear'    => __( 'Linear', IPCOZR_SLUG ),
                      'bounce'    => __( 'Bounce', IPCOZR_SLUG ),
                      'back'      => __( 'Back', IPCOZR_SLUG ),
                      'elastic'   => __( 'Elastic', IPCOZR_SLUG ),
                      'expo'      => __( 'Expo', IPCOZR_SLUG )
                  );
                  foreach( $effects as $key => $label )
                  {
                      $sltd = '';
                      if ( $current == $key ) {
                          $sltd = ' selected="selected"';
                      }
                      echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                  }
                  ?>
              </select>

              <div class="ipcozr-help">
                <a class="ipcozr-btn-help ipcozr-btn ipcozr-btn-default" href="#"><i class="ipcozr-fa ipcozr-fa-question"></i></a>
                <div class="ipcozr-help-content ipcozr-hide">
                  <?php _e( 'Set the type of the animation when the widget is hidden.', IPCOZR_SLUG ); ?>
                </div>
              </div>
            </div>
        </div>
        <!-- end: .ipcozr-field-row -->

        <?php
        //Animation Speed
        ?>
        <!-- start: .ipcozr-field-row -->
        <div class="ipcozr-field-row ipcozr-field-x">
            <div class="ipcozr-form-label col-lg-3 col-md-4 col-sm-12">
                <label for="input-hiding-animation-speed"><?php _e( 'Animation Speed', IPCOZR_SLUG ); ?></label>
            </div>
            <div class="ipcozr-field col-lg-9 col-md-8 col-sm-12">

              <select name="hiding_animation_speed" id="input-hiding-animation-speed">
                  <?php
                  $effect  = stripslashes( $setting->getSetting( 'hiding_animation_speed', 'md' ) );
                  $options = array(
                      'xs'    => __( 'Very Slow', IPCOZR_SLUG ),
                      'sm'    => __( 'Slow', IPCOZR_SLUG ),
                      'md'    => __( 'Medium', IPCOZR_SLUG ),
                      'lg'    => __( 'Fast', IPCOZR_SLUG ),
                      'xg'    => __( 'Very Fast', IPCOZR_SLUG ),
                  );
                  foreach( $options as $key => $option ) {
                      $sltd = '';
                      if ( $key == $effect ) {
                          $sltd = ' selected="selected"';
                      }
                      echo '<option value="' . $key . '"' . $sltd . '>' . $option . '</option>';
                  }
                  ?>
              </select>

              <div class="ipcozr-help">
                <a class="ipcozr-btn-help ipcozr-btn ipcozr-btn-default" href="#"><i class="ipcozr-fa ipcozr-fa-question"></i></a>
                <div class="ipcozr-help-content ipcozr-hide">
                  <?php _e( 'Set the speed of the animation when the widget is hidden.', IPCOZR_SLUG ); ?>
                </div>
              </div>
            </div>
        </div>
        <!-- end: .ipcozr-field-row -->

        <?php
        //Audio
        ?>
        <!-- start: .ipcozr-field-row -->
        <div class="ipcozr-field-row ipcozr-field-x">
            <div class="ipcozr-form-label col-lg-3 col-md-4 col-sm-12">
                <label for="input-hiding-audio-speed"><?php _e( 'Audio', IPCOZR_SLUG ); ?></label>
            </div>
            <div class="ipcozr-field col-lg-9 col-md-8 col-sm-12">

              <select name="hiding_audio" id="input-hiding-audio">
                <option value="0"> <?php _e( 'No Audio', IPCOZR_SLUG );  ?> </option>
                <?php
                $audio   = absint( $setting->getSetting( 'hiding_audio', 0 ) );
                $options = range(1,5);
                foreach( $options as $key ) {
                    $sltd = '';
                    if ( $key == $audio ) {
                        $sltd = ' selected="selected"';
                    }
                    echo '<option value="' . $key . '"' . $sltd . '>Audio #' . $key . '</option>';
                }
                ?>
              </select>

              <div class="ipcozr-help">
                <a class="ipcozr-btn-help ipcozr-btn ipcozr-btn-default" href="#"><i class="ipcozr-fa ipcozr-fa-question"></i></a>
                <div class="ipcozr-help-content ipcozr-hide">
                  <?php _e( 'Set the sound effect when the widget is hidden.', IPCOZR_SLUG ); ?>
                </div>
              </div>
            </div>
        </div>
        <!-- end: .ipcozr-field-row -->

    </div>
    <!-- end: .ipcozr-fields -->

  </div>
</div>
