<?php
/**
 * Admin content general view
 *
 * @package wp-email-countdown  
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipcozr-section-widget-general" class="ipcozr-tab-content">
  <div class="ipcozr-tab-inner">

    <div class="ipcozr-title-content ipcozr-hide">
      <i class="ipcozr-fa ipcozr-fa-cogs"></i>
      <div class="ipcozr-title-text">
        <h3><?php _e( 'General', IPCOZR_SLUG ); ?></h3>
        <p><?php _e( 'Basic settings and info of your widget campaign', IPCOZR_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipcozr-fields -->
    <div class="ipcozr-fields">

      <?php
      /*
       * Title
       */
      ?>
      <!-- start: .ipcozr-field-row -->
      <div class="ipcozr-field-row ipcozr-field-x ipcozr-help-abs">
        <div class="ipcozr-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-title"><?php _e( 'Title', IPCOZR_SLUG ); ?></label>
        </div>

        <!-- start: .ipcozr-field -->
        <div class="ipcozr-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $title = '';
          if ( $this->widget ) {
            $title = stripslashes( $this->widget->post_title );
          }
          ?>
          <input type="text" id="input-title" class="ipcozr-input ipcozr-input-full ipcozr-input-v-lg" name="title" value="<?php echo $title; ?>">

          <div class="ipcozr-help">
            <a class="ipcozr-btn-help ipcozr-btn ipcozr-btn-default" href="#"><i class="ipcozr-fa ipcozr-fa-question"></i></a>
            <div class="ipcozr-help-content ipcozr-hide">
              <?php _e( 'The title of the widget. This data will not be used directly in creating widget, only to mark the widget , so it easier for you to manage it.', IPCOZR_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipcozr-field -->
      </div>
      <!-- end: .ipcozr-field-row -->

      <?php
      /*
       * Campaign
       */
      ?>
      <!-- start: .ipcozr-field-row -->
      <div class="ipcozr-field-row ipcozr-field-x">
        <div class="ipcozr-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-campaign"><?php _e( 'Campaign', IPCOZR_SLUG ); ?></label>
        </div>

        <!-- start: .ipcozr-field -->
        <div class="ipcozr-field col-lg-9 col-md-8 col-sm-12">

          <select id="input-campaign" name="campaign">
              <?php
              $args = array(
                  'orderby'        => 'post_title',
                  'order'          => 'DESC',
                  'post_type'      => 'ipcozr-item',
                  'post_status'    => array('publish'),
                  'posts_per_page' => -1,
                  'paged'          => 1
              );
              $query = new WP_Query;
              $contents = $query->query( $args );
              foreach( $contents as $content )
              {
                  echo '<option value="' . $content->ID .  '">' . $content->post_title . '</option>';
              }
              ?>
          </select>

          <div class="ipcozr-help">
            <a class="ipcozr-btn-help ipcozr-btn ipcozr-btn-default" href="#"><i class="ipcozr-fa ipcozr-fa-question"></i></a>
            <div class="ipcozr-help-content ipcozr-hide">
              <?php _e( 'Determine the campaign will be linked with widget.', IPCOZR_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipcozr-field -->
      </div>
      <!-- end: .ipcozr-field-row -->

      <?php
      /*
       * Status
       */
      ?>
      <!-- start: .ipcozr-field-row -->
      <div class="ipcozr-field-row ipcozr-field-x">
        <div class="ipcozr-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-status"><?php _e( 'Status', IPCOZR_SLUG ); ?></label>
        </div>

        <!-- start: .ipcozr-field -->
        <div class="ipcozr-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipcozr-onoff">
              <?php
              $val  = 'true';
              if ( $this->widget && $this->widget->post_status == 'draft' ) {
                  $val = 'false';
              }
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipcozr-btn-group">
                <button data-value="true" class="ipcozr-btn-onoff<?php echo $clon; ?> ipcozr-btn-on" type="button"><?php _e( 'Show', IPCOZR_SLUG ); ?></button>
                <button data-value="false" class="ipcozr-btn-onoff<?php echo $cloff; ?> ipcozr-btn-off" type="button"><?php _e( 'Hide', IPCOZR_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipcozr-onoff-value" name="status" value="<?php echo $val; ?>" />
          </div>

          <div class="ipcozr-help">
            <a class="ipcozr-btn-help ipcozr-btn ipcozr-btn-default" href="#"><i class="ipcozr-fa ipcozr-fa-question"></i></a>
            <div class="ipcozr-help-content ipcozr-hide">
              <?php _e( 'Determines the status of the widget, whether the widget will be viewable by the public or not.', IPCOZR_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipcozr-field -->
      </div>
      <!-- end: .ipcozr-field-row -->


      <?php
      /*
       * Restricted user
       */
      ?>
      <!-- start: .ipcozr-field-row -->
      <div class="ipcozr-field-row ipcozr-field-x">
        <div class="ipcozr-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-restricted"><?php _e( 'Restricted', IPCOZR_SLUG ); ?></label>
        </div>

        <!-- start: .ipcozr-field -->
        <div class="ipcozr-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipcozr-onoff">
              <?php
              $val = $this->setting->getSetting( 'restricted', 'false' );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipcozr-btn-group">
                <button data-value="true" class="ipcozr-btn-onoff<?php echo $clon; ?> ipcozr-btn-on" type="button"><?php _e( 'On', IPCOZR_SLUG ); ?></button>
                <button data-value="false" class="ipcozr-btn-onoff<?php echo $cloff; ?> ipcozr-btn-off" type="button"><?php _e( 'Off', IPCOZR_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipcozr-onoff-value" name="restricted" value="<?php echo $val; ?>" />
          </div>

          <div class="ipcozr-help">
            <a class="ipcozr-btn-help ipcozr-btn ipcozr-btn-default" href="#"><i class="ipcozr-fa ipcozr-fa-question"></i></a>
            <div class="ipcozr-help-content ipcozr-hide">
              <?php _e( 'Deciding whether to tighten the widget where only logged-in user can view the widget.', IPCOZR_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipcozr-field -->
      </div>
      <!-- end: .ipcozr-field-row -->


    </div>
    <!-- end: .ipcozr-fields -->

  </div>
</div>
